//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 5 lights, 10 textures and 272 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.02.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 10/09/1996    (09.10.1996)
//

#max_trace_level 100

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//




atmosphere {
  type 1
  samples 20        // Number of samples in first distance interval
  distance 30       // Atmosphere density, similar to fog
  scattering 2.3    // Reflectivity of atmosphere, determines brightness
  aa_level 8        // Level of binary subdivision in case of aa
  aa_threshold 0.1  // Threshold for aa to push in
  jitter 0.2        // Amount of sample jittering
}




camera {  //  Camera Camera01
  location  <32.900, -31.700, 8.400>
  direction <0.0,     0.0,  0.6667>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <10.300, -6.100, 19.400>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <0.000, -0.001, 75.000> // Attached to SpotL001
  direction <0.0,     0.0,  0.1529>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 74.000> // Following SpotL001
}

*/

/*
camera {  //  Camera SpotCam2
  location  <0.000, -0.001, 75.000> // Attached to SpotL001
  direction <0.0,     0.0,  0.1529>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 74.000> // Following SpotL001
}

*/

/*
camera {  //  Camera SpotCam002
  location  <0.000, -0.100, 0.000>
  direction <0.0,     0.0,  0.9607>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

*/

// *******  L I G H T S *******
light_source {   // Light4
  <24.400, 22.900, 16.700>
  color rgb <0.502, 0.502, 0.502>
  atmosphere off
}

light_source {   // Light3
  <-12.500, -30.100, 16.700>
  color rgb <0.502, 0.502, 0.502>
  atmosphere off
}

light_source {   // Light2
  <-9.800, 30.500, 16.700>
  color rgb <0.502, 0.502, 0.502>
  atmosphere off
}

light_source {   // Light001
  <-21.500, 0.000, 16.700>
  color rgb <0.502, 0.502, 0.502>
  atmosphere off
}

light_source {   // Spotlight SpotL001
  <0.000, 0.000, 75.000>
  color  rgb <0.75000, 0.75000, 0.75000>
  spotlight
    point_at  <0.000, 0.000, 74.000>
    falloff   73.0  // outer radius (in deg)
      radius    50.0  // inner radius
      atmospheric_attenuation on
}


// ********  TEXTURES  *******
//

#include "alprs2.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

#declare arms = union {
  cylinder { // arm_1
    <0,0,1>, <0,0,0>, 1
    scale <1.0, 1.0, 10.0>
    rotate <-151.938705, -63.985001, 170.589386>
    translate  <-2.8, 0.0, -4.6>
  }
  cylinder { // arm_2
    <0,0,1>, <0,0,0>, 1
    texture {
      alien_skin
    }
    scale <1.0, 1.0, 10.0>
    rotate <-151.919998, 63.98, -170.580002>
    translate  <2.8, 0.0, -4.6>
  }
  cylinder { // arm_3
    <0,0,1>, <0,0,0>, 1
    texture {
      alien_skin
    }
    scale <1.0, 1.0, 10.0>
    rotate <2.50796, 14.361444, -27.767996>
    translate  <9.2, -2.0, -8.6>
  }
  cylinder { // arm_4
    <0,0,1>, <0,0,0>, 1
    texture {
      alien_skin
    }
    scale <1.0, 1.0, 10.0>
    rotate <11.739053, 3.203029, 29.622013>
    translate  <-11.7, -3.0, -9.0>
  }
  sphere { // arm_5
    <0,0,0>,1
    scale <2.0, 1.0, 2.0>
    rotate <0.0, 0.0, 0.0>
    translate  <-10.3, -4.6, 1.2>
  }
  sphere { // arm_6
    <0,0,0>,1
    scale <2.0, 1.0, 2.0>
    rotate <0.0, 0.0, 0.0>
    translate  <11.0, -3.5, 1.2>
  }
  sphere { // arm_7
    <0,0,0>,1
    scale <0.5, 0.5, 2.0>
    translate  <9.7, -3.7, 3.4>
  }
  sphere { // arm_8
    <0,0,0>,1
    scale <0.5, 0.5, 2.0>
    rotate 10.0*y
    translate  <10.9, -3.7, 3.4>
  }
  sphere { // arm_9
    <0,0,0>,1
    scale <0.5, 0.5, 2.0>
    rotate -30.0*y
    translate  <8.7, -3.7, 2.6>
  }
  sphere { // arm_10
    <0,0,0>,1
    scale <0.5, 0.5, 2.0>
    rotate 25.0*y
    translate  <-8.5, -3.7, 3.2>
  }
  sphere { // arm_11
    <0,0,0>,1
    scale <0.5, 0.5, 2.0>
    rotate 5.0*y
    translate  <-9.5, -3.7, 4.0>
  }
  sphere { // arm_12
    <0,0,0>,1
    scale <0.5, 0.5, 2.0>
    translate  <-10.7, -3.7, 3.8>
  }
  texture {
    alien_skin
  }
}
#declare BODY = union {
  object { arms }
  cone { // body_2
    <0,0,0>, 1.2, <0,0,1>, 1.0
    texture {
      alien_skin
    }
    scale <6.0, 3.0, 9.0>
    translate  -16.0*z
  }
  sphere { // body_1
    <0,0,0>,1
    texture {
      alien_skin
    }
    scale <6.0, 3.0, 4.0>
    translate  -7.0*z
  }
  cylinder { // neck
    <0,0,1>, <0,0,0>, 1
    texture {
      alien_skin
    }
    scale <0.75, 0.75, 4.0>
    translate  -4.0*z
  }
}
#declare ear_r = union {
  torus { // ear_1
    1.075, 0.175  rotate -x*90
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_2
    1.075, 0.175  rotate -x*90
    scale <0.8, 0.8, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_3
    1.075, 0.175  rotate -x*90
    scale <0.6, 0.6, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_4
    1.075, 0.175  rotate -x*90
    scale <0.4, 0.4, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_5
    1.075, 0.175  rotate -x*90
    scale <0.2, 0.2, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  texture {
    alien_skin
  }
  scale <0.9, 0.9, 1.0>
}
#declare ear_l = union {
  torus { // ear_6
    1.075, 0.175  rotate -x*90
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_7
    1.075, 0.175  rotate -x*90
    scale <0.8, 0.8, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_8
    1.075, 0.175  rotate -x*90
    scale <0.6, 0.6, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_9
    1.075, 0.175  rotate -x*90
    scale <0.4, 0.4, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  torus { // ear_10
    1.075, 0.175  rotate -x*90
    scale <0.2, 0.2, 1.0>
    rotate -90.0*x
    translate  <-3.5, 0.0, 3.5>
  }
  texture {
    alien_skin
  }
  scale <0.9, 0.9, 1.0>
  translate  6.25*x
}
#declare ears = union {
  object { ear_r }
  object { ear_l }
}
#declare Head = union {
  sphere { // aien_head
    <0,0,0>,1
    scale <3.0, 3.0, 5.0>
    translate  3.0*z
  }
  cone { // head_2
    <0,0,0>, 3.0, <0,0,1>, 4.0
    open
    scale <1.0, 1.0, 5.0>
    translate  3.0*z
  }
  sphere { // head_3
    <0,0,0>,1
    scale <4.0, 4.0, 2.0>
    translate  8.0*z
  }
  texture {
    alien_skin
  }
}
#declare head_mouth = difference {
  object { Head }
  cylinder { // mouth_hole
    <0,0,1>, <0,0,0>, 1
    texture {
      alien_skin
    }
    translate  -2.0*y
  }
}
#declare eye_r = union {
  sphere { // eye_1
    <0,0,0>,1
  }
  cone { // eye_2
    <0,0,0>, 0.25, <0,0,1>, 1.0
    rotate 90.0*y
    translate  -1.0*x
  }
  cone { // eye_3
    <0,0,0>, 0.25, <0,0,1>, 1.0
    rotate -90.0*y
    translate  1.0*x
  }
  rotate <0.0, 45.0, -22.5>
  translate  <-2.0, -3.0, 5.0>
}
#declare eye_l = union {
  sphere { // eye_4
    <0,0,0>,1
  }
  cone { // eye_5
    <0,0,0>, 0.25, <0,0,1>, 1.0
    rotate 90.0*y
    translate  -1.0*x
  }
  cone { // eye_6
    <0,0,0>, 0.25, <0,0,1>, 1.0
    rotate -90.0*y
    translate  1.0*x
  }
  rotate <0.0, -45.0, 22.5>
  translate  <2.0, -3.0, 5.0>
}
#declare eyes = union {
  object { eye_r }
  object { eye_l }
  texture {
    Eye_TXTR
  }
  translate  0.75*y
}
#declare nose = union {
  sphere { // nose_1
    <0,0,0>,1
  }
  cone { // nose_2
    <0,0,0>, 0.25, <0,0,1>, 1.0
    scale <1.0, 1.0, 2.0>
    rotate -180.0*y
    translate  2.0*z
  }
}
#declare nose_hole = difference {
  object { nose }
  sphere { // nose_m1
    <0,0,0>,1
    translate  -0.75*z
  }
  texture {
    alien_skin
  }
  rotate -11.25*x
  translate  <0.0, -3.0, 3.0>
}
union { // ALIEN
  object { BODY }
  object { ears }
  object { head_mouth }
  object { eyes }
  object { nose_hole }
  torus { // lips
    0.525, 0.075  rotate -x*90
    texture {
      Lips
    }
    scale <2.0, 1.0, 4.0>
    rotate -75.0*x
    translate  <0.0, -2.4, 0.6>
  }
  translate  <-1.1, -0.5, 17.6>
}








#declare cell_1_m = difference {
  box { // cell_1_p1
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p2
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_1 = union {
  cylinder { // pole_1
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_2
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_3
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_4
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_5
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_6
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_7
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_1 = union {
  object { cell_1_m }
  object { poles_1 }
}
#declare cell_1_m1 = difference {
  box { // cell_1_p3
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p4
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_2 = union {
  cylinder { // pole_8
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_9
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_10
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_11
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_12
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_13
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_14
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_2 = union {
  object { cell_1_m1 }
  object { poles_2 }
  translate  20.0*z
}
#declare couple_cell = union {
  object { cell_1 }
  object { cell_2 }
}
#declare cell_1_m2 = difference {
  box { // cell_1_p5
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p6
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_3 = union {
  cylinder { // pole_15
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_16
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_17
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_18
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_19
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_20
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_21
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_3 = union {
  object { cell_1_m2 }
  object { poles_3 }
}
#declare cell_1_m3 = difference {
  box { // cell_1_p7
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p8
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_4 = union {
  cylinder { // pole_22
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_23
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_24
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_25
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_26
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_27
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_28
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_4 = union {
  object { cell_1_m3 }
  object { poles_4 }
  translate  20.0*z
}
#declare couple_cell1 = union {
  object { cell_3 }
  object { cell_4 }
  rotate -32.5*z
  translate  <0.4, -2.2, 0.0>
}
#declare cell_1_m4 = difference {
  box { // cell_1_p9
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p10
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_5 = union {
  cylinder { // pole_29
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_30
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_31
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_32
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_33
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_34
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_35
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_5 = union {
  object { cell_1_m4 }
  object { poles_5 }
}
#declare cell_1_m5 = difference {
  box { // cell_1_p11
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p12
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_6 = union {
  cylinder { // pole_36
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_37
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_38
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_39
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_40
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_41
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_42
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_6 = union {
  object { cell_1_m5 }
  object { poles_6 }
  translate  20.0*z
}
#declare couple_cell2 = union {
  object { cell_5 }
  object { cell_6 }
  rotate -59.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m6 = difference {
  box { // cell_1_p13
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p14
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_7 = union {
  cylinder { // pole_43
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_44
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_45
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_46
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_47
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_48
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_49
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_7 = union {
  object { cell_1_m6 }
  object { poles_7 }
}
#declare cell_1_m7 = difference {
  box { // cell_1_p15
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p16
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_8 = union {
  cylinder { // pole_50
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_51
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_52
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_53
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_54
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_55
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_56
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_8 = union {
  object { cell_1_m7 }
  object { poles_8 }
  translate  20.0*z
}
#declare couple_cell3 = union {
  object { cell_7 }
  object { cell_8 }
  rotate -89.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m8 = difference {
  box { // cell_1_p17
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p18
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_9 = union {
  cylinder { // pole_57
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_58
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_59
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_60
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_61
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_62
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_63
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_9 = union {
  object { cell_1_m8 }
  object { poles_9 }
}
#declare cell_1_m9 = difference {
  box { // cell_1_p19
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p20
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_10 = union {
  cylinder { // pole_64
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_65
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_66
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_67
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_68
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_69
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_70
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_10 = union {
  object { cell_1_m9 }
  object { poles_10 }
  translate  20.0*z
}
#declare couple_cell4 = union {
  object { cell_9 }
  object { cell_10 }
  rotate -149.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m10 = difference {
  box { // cell_1_p21
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p22
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_11 = union {
  cylinder { // pole_71
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_72
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_73
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_74
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_75
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_76
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_77
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_11 = union {
  object { cell_1_m10 }
  object { poles_11 }
}
#declare cell_1_m11 = difference {
  box { // cell_1_p23
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p24
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_12 = union {
  cylinder { // pole_78
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_79
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_80
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_81
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_82
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_83
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_84
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_12 = union {
  object { cell_1_m11 }
  object { poles_12 }
  translate  20.0*z
}
#declare couple_cell5 = union {
  object { cell_11 }
  object { cell_12 }
  rotate -179.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m12 = difference {
  box { // cell_1_p25
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p26
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_13 = union {
  cylinder { // pole_85
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_86
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_87
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_88
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_89
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_90
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_91
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_13 = union {
  object { cell_1_m12 }
  object { poles_13 }
}
#declare cell_1_m13 = difference {
  box { // cell_1_p27
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p28
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_14 = union {
  cylinder { // pole_92
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_93
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_94
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_95
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_96
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_97
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_98
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_14 = union {
  object { cell_1_m13 }
  object { poles_14 }
  translate  20.0*z
}
#declare couple_cell6 = union {
  object { cell_13 }
  object { cell_14 }
  rotate -209.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m14 = difference {
  box { // cell_1_p29
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p30
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_15 = union {
  cylinder { // pole_99
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_100
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_101
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_102
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_103
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_104
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_105
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_15 = union {
  object { cell_1_m14 }
  object { poles_15 }
}
#declare cell_1_m15 = difference {
  box { // cell_1_p31
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p32
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_16 = union {
  cylinder { // pole_106
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_107
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_108
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_109
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_110
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_111
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_112
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_16 = union {
  object { cell_1_m15 }
  object { poles_16 }
  translate  20.0*z
}
#declare couple_cell7 = union {
  object { cell_15 }
  object { cell_16 }
  rotate -239.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m16 = difference {
  box { // cell_1_p33
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p34
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_17 = union {
  cylinder { // pole_113
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_114
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_115
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_116
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_117
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_118
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_119
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_17 = union {
  object { cell_1_m16 }
  object { poles_17 }
}
#declare cell_1_m17 = difference {
  box { // cell_1_p35
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p36
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_18 = union {
  cylinder { // pole_120
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_121
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_122
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_123
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_124
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_125
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_126
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_18 = union {
  object { cell_1_m17 }
  object { poles_18 }
  translate  20.0*z
}
#declare couple_cell8 = union {
  object { cell_17 }
  object { cell_18 }
  rotate -269.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m18 = difference {
  box { // cell_1_p37
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p38
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_19 = union {
  cylinder { // pole_127
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_128
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_129
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_130
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_131
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_132
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_133
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_19 = union {
  object { cell_1_m18 }
  object { poles_19 }
}
#declare cell_1_m19 = difference {
  box { // cell_1_p39
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p40
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_20 = union {
  cylinder { // pole_134
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_135
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_136
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_137
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_138
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_139
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_140
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_20 = union {
  object { cell_1_m19 }
  object { poles_20 }
  translate  20.0*z
}
#declare couple_cell9 = union {
  object { cell_19 }
  object { cell_20 }
  rotate -299.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m20 = difference {
  box { // cell_1_p41
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p42
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_21 = union {
  cylinder { // pole_141
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_142
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_143
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_144
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_145
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_146
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_147
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_21 = union {
  object { cell_1_m20 }
  object { poles_21 }
}
#declare cell_1_m21 = difference {
  box { // cell_1_p43
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p44
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_22 = union {
  cylinder { // pole_148
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_149
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_150
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_151
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_152
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_153
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_154
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_22 = union {
  object { cell_1_m21 }
  object { poles_22 }
  translate  20.0*z
}
#declare couple_cell10 = union {
  object { cell_21 }
  object { cell_22 }
  rotate -329.0*z
  translate  <0.4, 0.7, 0.0>
}
#declare cell_1_m22 = difference {
  box { // cell_1_p45
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p46
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_23 = union {
  cylinder { // pole_155
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_156
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_157
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_158
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_159
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_160
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_161
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_23 = union {
  object { cell_1_m22 }
  object { poles_23 }
}
#declare cell_1_m23 = difference {
  box { // cell_1_p47
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 5.0, 10.0>
    rotate -45.0*z
    translate  <-30.4, -30.4, 12.0>
  }
  box { // cell_1_p48
    <-1, -1, -1>, <1, 1, 1>
    scale <11.0, 5.0, 9.0>
    rotate -45.0*z
    translate  <-29.0, -29.0, 12.0>
  }
  texture {
    Rust1
  }
}
#declare poles_24 = union {
  cylinder { // pole_162
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-20.1, -33.700001, 2.8>
  }
  cylinder { // pole_163
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-21.9, -31.6, 2.8>
  }
  cylinder { // pole_164
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-24.1, -29.4, 2.8>
  }
  cylinder { // pole_165
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-26.3, -27.3, 2.8>
  }
  cylinder { // pole_166
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-28.7, -24.9, 2.8>
  }
  cylinder { // pole_167
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-30.9, -22.8, 2.8>
  }
  cylinder { // pole_168
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 18.5>
    translate  <-33.3, -20.4, 2.8>
  }
  texture {
    Brass_Metal1
  }
}
#declare cell_24 = union {
  object { cell_1_m23 }
  object { poles_24 }
  translate  20.0*z
}
#declare couple_cell11 = union {
  object { cell_23 }
  object { cell_24 }
  rotate -119.0*z
  translate  <0.4, 0.7, 0.0>
}
union { // cells_all
  object { couple_cell hollow}
  object { couple_cell1 hollow}
  object { couple_cell2 hollow}
  object { couple_cell3 hollow}
  object { couple_cell4 hollow}
  object { couple_cell5 hollow}
  object { couple_cell6 hollow}
  object { couple_cell7 hollow}
  object { couple_cell8 hollow}
  object { couple_cell9 hollow}
  object { couple_cell10 hollow}
  object { couple_cell11 hollow}
}


#declare prison_p_3_g = difference {
  sphere { // priison_p_3
    <0,0,0>,1
    scale <25.0, 25.0, 3.125>
    hollow
  }
  box { // prison_p_3_m
    <-1, -1, -1>, <1, 1, 1>
    scale <25.0, 25.0, 3.125>
    translate  -3.0*z
  }
  cylinder { // sky_light
    <0,0,1>, <0,0,0>, 1
    scale <10.0, 10.0, 5.0>
  }
  translate  25.0*z
}
#declare prison_1 = union {
  cylinder { // prison_p_1
    <0,0,1>, <0,0,0>, 1 open
    scale 25.0
    hollow
  }
  cylinder { // prison_p_2
    <0,0,1>, <0,0,0>, 1
    scale <25.0, 25.0, 1.0>
    hollow
  }
  object { prison_p_3_g }
  texture {
    prison_wall
  }
}
#declare dividers = union {
  cylinder { // divider_1
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 10.0>
    rotate -90.0*x
    translate  27.5*z
  }
  cylinder { // divider_2
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 10.0>
    rotate <-90.0, 0.0, -120.0>
    translate  27.5*z
  }
  cylinder { // divider_3
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 10.0>
    rotate <-90.0, 0.0, -240.0>
    translate  27.5*z
  }
  cylinder { // divider_4
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 7.5>
    rotate <-90.0, 0.0, -30.0>
    translate  <-3.6, -1.9, 27.5>
  }
  cylinder { // divider_5
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 9.0>
    rotate <-90.0, 0.0, -160.0>
    translate  <0.1, 6.6, 27.5>
  }
  cylinder { // divider_6
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 12.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-5.9, -3.8, 27.5>
  }
  texture {
    Gold_Metal1
  }
}
union { // prison_2
  object { prison_1 }
  cylinder { // window
    <0,0,1>, <0,0,0>, 1
    texture {
      Glass1
    }
    scale <10.0, 10.0, 0.25>
    translate  27.5*z
  }
  object { dividers }
  scale 2.0
}






